﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;
using Dienstfahrten.Logging;

namespace Dienstfahrten.Klassen
{
    interface IListenEintrag
    {
        //Statischer Name der Liste
        string ListName { get; }
        SPWeb currentWeb { get; }
        SPList currentList { get; }

        void setValues(params Object[] values);

        /// <summary>
        /// Speichere Objekt in SharePointListe
        /// </summary>
        /// <returns>Speicherung erfolgreich?</returns>
        bool saveToList();

        /// <summary>
        /// Holt Eintrag aus der Liste
        /// </summary>
        /// <param name="id">ID des Eintrags</param>
        /// <returns>Eintrag in der Liste</returns>
        Object getById(int id);

        /// <summary>
        /// Validiere Eingaben
        /// </summary>
        /// <returns>Eingaben korrekt</returns>
        bool validateData(params Object[] values);
    
    }
}
